cURL
curl --request GET \
--url 'https://app.teable.ai/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"data": [
{
"id": "<string>",
"name": "<string>",
"createdTime": "<string>",
"autoJoin": true,
"baseCount": 123,
"collaboratorCount": 123
}
],
"total": 123,
"page": 123,
"pageSize": 123
}admin
Get adminspace
Get paginated spaces for the instance
GET
/
admin
/
space
cURL
curl --request GET \
--url 'https://app.teable.ai/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"data": [
{
"id": "<string>",
"name": "<string>",
"createdTime": "<string>",
"autoJoin": true,
"baseCount": 123,
"collaboratorCount": 123
}
],
"total": 123,
"page": 123,
"pageSize": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Last modified on March 5, 2026
Was this page helpful?
⌘I

